summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ln/misc4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/ln/misc b/tests/ln/misc
index 45cedbcd7..6fe436301 100755
--- a/tests/ln/misc
+++ b/tests/ln/misc
@@ -93,6 +93,10 @@ touch a b || test_failure=1
ln b b~ || test_failure=1
ln -V simple -f -b a b || fail=1
+# Create a hard link to a dangling symlink.
+ln -s /no-such-dir || fail=1
+ln no-such-dir hard-to-dangle || fail=1
+
cd ..
../../src/rm -rf $tmp